Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Subject: Show versions in package list
Description

The "FLOW3 Command Line Interface" offers a functionality to list available and active packages. In current FLOW3 version
1.0.0-alpha8 the list shows the names of the packages only.

At least the versions of the available packages would be useful and informative - for example:

./flow3 package list available

Available packages:
FLOW3                    1.0.0-alpha8
DocumentationBrowser     1.0.0-alpha8
Fluid                    1.0.0-alpha8
ExtJS                    3.2.1
Party                    1.0.0-alpha8
Welcome                  1.0.0-alpha8
Kickstart                1.0.0-alpha8
PHPUnit                  3.4.0_1
Testing                  0.5.0-alpha8
Conference
SwiftMailer              4.0.6

The attached diff extends the PackageManagerController.php to show version numbers (from "Meta/Package.xml") in "available
packages" view. Please treat this diff as an example/suggestion only (e.g. it cuts the package name at 24 characters), more
sophisticated solutions are desirable :-)

Associated revisions
Revision 56aef683 - 2010-10-11 14:04 - Karsten Dambekalns

[+FEATURE] FLOW3 (Package): Show version in package lists

Change-Id: I1cdc5d6469dda80644289ab54ec00b1e7826fd1c
Resolves: #7930

History
#1 - 2010-05-27 08:41 - Michael Schams
- File issue7930-packageList.png added

Attached screenshot issue7930-packageList.png shows correct output of FLOW3 Command Line Interface (issue tracker removed whitespaces).
#2 - 2010-10-11 14:04 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 13
- Start date changed from 2010-05-27 to 2010-10-11

For anything less trivial we really need you to sign a CLA (http://typo3.org/about/licenses/)

#3 - 2010-10-12 10:45 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"56aef6837f72cdf6de68e2ad24ac49745e7b28b8".

#4 - 2010-10-12 15:32 - Michael Schams

CLA signed and sent off.

Files
FLOW3-packageList.diff 725 Bytes 2010-05-27 Michael Schams
issue7930-packageList.png 11.3 kB 2010-05-27 Michael Schams
